@mixin cells {
	&.date {
		width: 20%;
		@media #{$mobile} {
			width: auto;
			min-width: 150px;
		}
	}
	&.shop {
		width: 28%;
		@media #{$mobile} {
			width: auto;
			min-width: 150px;

		}
	}
	&.amount {
		width: 16%;
		@media #{$mobile} {
			width: auto;
			min-width: 130px;
		}
	}
	&.status {
		width: 21%;
		@media #{$mobile} {
			width: auto;
			min-width: 200px;
		}
	}
	&.docs {
		width: 15%;
		@media #{$mobile} {
			width: auto;
			min-width: 88px;
		}
	}
}

div.pos-container {
	box-sizing: border-box;
	min-height: 100vh;

	& div.header {
		display: flex;
		justify-content: space-between;
		border-bottom: 1px solid $border;
		padding: 25px 0;

		@media #{$mobile} {
			flex-wrap: wrap;
			border-bottom: none;
			width: 100%;
			padding-bottom: 0;
		}

		& > h1 {
			font-size: 25px;
			font-weight: 500;
			font-style: normal;
			font-stretch: normal;
			line-height: 1.6;
			letter-spacing: normal;

			@media #{$mobile} {
				text-align: center;
				width: 100%;
			}
		}

		& .pos-status {
			display: flex;

			@media #{$mobile} {
				display: block;
				width: 100%;
			}


			& .status {
				font-size: 15px;
				font-weight: 500;
				display: flex;
				align-items: center;

				@media #{$mobile} {
					justify-content: center;
					margin-top: 20px;
				}


				& > svg {
					margin-right: 10px;
				}

				&-active {
					color: $statusGreen;
				}

				&-overdue {
					color: $red;
				}

				&-no-active {
					color: $titleColor;
				}
			}

			& .documents {
				font-size: 15px;
				font-weight: 500;
				color: $blueColor;
				margin-left: 20px;
				cursor: pointer;

				display: flex;
				align-items: center;

				@media #{$mobile} {
					justify-content: center;
					margin-top: 20px;
					margin-left: 0;
				}

				& > svg {
					margin-right: 10px;
				}
			}

		}
	}

	& div.operations-list {

		& > .list {

			&.checkbox {
				position: relative;
			}

			& .header {
				& h3 {
					font-size: 15px;
					font-weight: 500;
					line-height: 1.33;
					color: $titleColor;
				}
			}

			& .field-filter {
				position: relative;

				& .fields-selector {
					display: flex;
					margin-left: auto;
					align-items: center;
					justify-content: flex-end;
					color: $blueColor;
					cursor: pointer;
				}

				& .selector {
					position: absolute;
					padding: 22px 20px;
					right: 0;

					border-radius: 5px;
					box-shadow: 0 1px 20px 0 rgba(183, 198, 208, 0.4);
					background-color: #ffffff;
					width: 240px;

					& .field {
						margin-bottom: 20px;
					}
				}
			}
		}


		& > .list .titles {
			display: flex;

			.cell {
				font-size: 11px;
				font-weight: normal;
				font-style: normal;
				font-stretch: normal;
				line-height: 1.82;
				letter-spacing: 1px;
				text-transform: uppercase;
				color: $grayColor;
				padding: 15px 20px;

				@include cells;
			}

		}

		& > .list .operations-container {
			overflow: auto;

			&__wrapper {
				@include size(100%);
				display: table;
			}
		}

		& > .list .operation-item {
			border-radius: 5px;
			border: solid 1px $border;
			background-color: #ffffff;
			display: flex;
			margin-bottom: 5px;
			white-space: nowrap;
			@media #{$mobile} {
				justify-content: space-between;
			}

			&.expanded {
				border-bottom-left-radius: 0;
				border-bottom-right-radius: 0;
			}

			& .item {
				@include cells;
			}

			& .item {
				padding: 15px 20px;

				&.docs {
					display: flex;
					justify-content: space-between;

					& svg {
						cursor: pointer;

						&.right {
							margin-left: auto;
						}
					}

				}

				&.date, &.amount {
					font-size: 15px;
					font-weight: 300;
					font-style: normal;
					font-stretch: normal;
					line-height: 1.33;
					letter-spacing: normal;
				}

				&.shop {
					font-size: 15px;
					font-weight: 500;
					font-style: normal;
					font-stretch: normal;
					line-height: 1.33;
					letter-spacing: normal;
					color: #323c47;
				}

				&.status {
					& span.status {
						padding: 5px 10px;
						border-radius: 5px;
						white-space: nowrap;
						text-overflow: ellipsis;

						&.active {
							background-color: rgba($blueColor, 0.3);
							color: $titleColor;
						}

						&.returned {
							background-color: rgba($red, 0.3);
							color: $titleColor;
						}

						&.refill {
							background-color: rgba($greenDark, 0.3);
							color: $titleColor;
						}
					}
				}

			}


		}

		& .operation-details {
			display: flex;
			flex-wrap: wrap;
			padding-bottom: 30px;
			margin-top: -5px;
			margin-bottom: 5px;
			background: #fff;
			border-left: 1px solid $border;
			border-right: 1px solid $border;
			border-bottom: 1px solid $border;
			border-bottom-left-radius: 5px;
			border-bottom-right-radius: 5px;

			@media #{$mobile} {
				padding-bottom: 0;
			}

			& .data {
				padding: 20px 0;

				&:nth-child(odd) {
					padding-left: 20px;
				}

				width: 50%;
				@media #{$mobile} {
					width: 100%;
					padding: 10px 20px;

				}
				font-weight: normal;
				font-style: normal;
				font-stretch: normal;
				line-height: 1.82;
				letter-spacing: 1px;

				& .title {
					text-transform: uppercase;
					color: $grayColor;
					font-size: 11px;
				}

				& .info {
					color: $titleColor;
					font-weight: 500;
					font-size: 15px;
					margin-top: 5px;
					@media #{$mobile} {
						margin-top: 0;
					}
				}
			}

			&.rejection {
				padding: 20px;
				@include font(15px, 500);
			}
		}
	}

	& div.payment-info {
		& > div {
			display: flex;
			margin-top: 60px;
			margin-bottom: 60px;
			align-items: center;

			@media #{$mobile} {
				width: 100%;
				flex-wrap: wrap;
				justify-content: center;
			}

			& .pay-date {
				font-size: 11px;
				font-weight: normal;
				font-style: normal;
				font-stretch: normal;
				line-height: 1.82;
				letter-spacing: 1px;
				text-transform: uppercase;
			}

			& .pay-amount {
				/**
					Оригинальный размер в дизайне 65пх, фактически при некоторых сценариях контект не влезает
					Шрифт уменьшен специально
				 */
				font-size: 48px;
				@media #{$tablet} {
					font-size: 24px;
				}
				@media all and (min-width: 1500px) {
					font-size: 65px;
				}
				font-weight: normal;
				font-style: normal;
				font-stretch: normal;
				line-height: 1.46;
				letter-spacing: -1px;
				color: #323c47;
			}


			& div.overdue-pay {
				& .pay-amount {
					color: $redDark;
				}

				margin-right: 40px;
				margin-left: 40px;
				@media #{$tablet} {
					margin-right: 0;

				}

				@media #{$mobile} {
					margin-right: 0;
					text-align: center;
					min-width: 200px;
					margin-left: 0;
				}
			}

			& div.overdue-pay-plus {
				margin: 0 42px;
				@media #{$tablet} {
					margin: 0 20px;
				}
				display: flex;
				justify-content: center;

				@media #{$mobile} {
					width: 100%;
					margin: 20px 0;
				}
			}

			& div.overdue-pay-details {
				border-radius: 10px;
				box-shadow: 0 1px 1px 0 #b7c6d0;
				background-color: #ffffff;
				padding: 10px 20px;
				@media #{$mobile} {
					margin-bottom: 20px;
				}

				& .title {
					@include font(11px, null, 1.82, 1px);
					color: $titleColor;
					text-transform: uppercase;
					margin-bottom: 5px;
				}

				& .details-data {
					& .data {
						display: flex;

						& .sum {
							color: $redDark;
							margin-right: 10px;
						}

						& .info-text {
							@include font(13px, null, 1.54);
							color: $titleColor;
						}
					}
				}
			}

			& div.active-current-pay {
				@media #{$mobile} {
					text-align: center;
					width: 100%;
				}
			}
		}
	}

	& div.loan-schedule {
		margin-top: 40px;
		position: relative;

		& div.summary-info {
			display: flex;
			padding: 30px 40px;
			@media #{$mobile} {
				padding: 30px 0;
			}
			border-radius: 5px;
			border: solid 1px $border;
			background-color: #ffffff;
			//z-index: 100;
			position: relative;
			@media #{$mobile} {
				flex-wrap: wrap;
			}

			& .payment-schedule-info {

				border-right: 1px solid $border;
				width: 60%;
				@media #{$mobile} {
					width: 100%;
					border-right: none;
					border-bottom: 1px solid $border;
					padding: 0 20px 20px;
				}

				& .data {
					display: block;

					& .title {
						@include font(11px, null, 1.82, 1px);
						color: $grayColor;
						text-transform: uppercase;
						margin-bottom: 5px;
					}

					& .info {
						@include font(15px, 500, 1.33);
						color: $grayColor;

						& strong {
							color: $titleColor;
							font-weight: bold;
						}
					}
				}

				& .schedule {
					display: block;

					& .blocks {
						display: flex;
						margin-top: 25px;
						max-width: 250px;
						@media #{$mobile} {
							width: 100%;
						}


						& .block {
							@include size(30px, 5px);
							border-radius: 2.5px;
							background-color: #e9eff4;
							margin-right: 5px;
							flex: 1 1 auto;

							&.fill {
								background-color: #b7c6d0;
							}
						}
					}

					& .info {
						margin-top: 15px;
						@include font(13px, null, 1.54);
						color: $grayColor;
					}
				}
			}

			& .payment-action {
				margin: auto;
				@media #{$mobile} {
					margin-top: 20px;
				}

				& .payment-button {
					& button, & span {
						display: block;
					}

					& button {
						margin: 0;
					}

					& span {
						margin-top: 15px;
						@include font(13px, null, 1.54);
						font-size: 13px;
						line-height: 1.54;
						color: $titleColor;
						text-align: center;
					}
				}
			}
		}

		& .schedule-list-container {
			margin-top: 5px;

			& .graph-blocks {
				& .schedule-list {
					position: relative;

					& .schedule {
						border-radius: 5px;
						border: solid 1px #e9eff4;
						background-color: #ffffff;
						padding: 20px;
						margin-bottom: 5px;
						display: flex;
						//hidden
						position: absolute;
						width: 100%;

						&.expanded {
							position: relative;
						}

						& .sum {
							@include font(15px, 500, 1.33);
							color: $titleColor;
						}

						& .date {
							@include font(15px, 500, 1.33);
							color: $grayColor;
							margin-left: 10px;
						}
					}
				}
			}

			& .expand {
				@include size(45px, 45px);
				box-shadow: 0 1px 1px 0 #b7c6d0;
				background-color: #ffffff;
				border-radius: 50%;
				z-index: 0;
				display: flex;
				@include position(absolute, $c: (left: 50%));
				transform: translateX(-50%);
				cursor: pointer;

				& svg {
					@include position(relative, $c: (top: calc(50% - 10px), left: calc(50% - 10px)));
				}

				&.expanded {
					bottom: -22px;
				}
			}
		}
	}

	& div.loan-details {


		&.no-active {
			padding: 0;
			border: none;
		}

		& .loan-details-data {
			border-radius: 5px;
			border: solid 1px #e9eff4;
			background-color: #ffffff;
			padding: 40px;
			margin-top: 40px;
			@media #{$mobile} {
				padding: 10px;
			}

			display: flex;
			width: 100%;
			&.more {
				margin-top: 20px;
			}
			@media #{$mobile} {
				flex-wrap: wrap;
			}


			& .no-active-loans {
				border-radius: 5px;
				border: solid 1px #e9eff4;
				background-color: #ffffff;

				text-align: center;
				width: 100%;
				padding: 60px 0;

				svg {
					@include size(360px, 360px);
				}

				@media #{$mobile} {
					svg {
						@include size(70px, 70px);
					}
				}

				& .limit {
					margin-top: 25px;

					& span {
						@include font(11px, null, 1.82, 1px);
						color: $grayColor;
						text-transform: uppercase;
					}

					& .amount {
						color: $statusGreen;
						@include font(35px, 500, 1.14);
					}
				}


			}

			& .loan-details-card {
				border-radius: 10px;
				background-color: #f4f7f9;
				width: 50%;
				@media #{$mobile} {
					width: 100%;
				}

				& .title {
					@include font(11px, null, 1.82, 1px);
					text-transform: uppercase;
					color: $grayColor;
				}

				& .info {
					@include font(25px, 500, 1.6);
				}

				& .divider {
					height: 1px;
					background-color: #b7c6d0;
					margin: 0 30px;
				}

				& .limit {
					& .info {
						color: $statusGreen;
					}
				}

				& .payment {
					& .info {
						@include font(20px, 500, 1.25);
						color: $titleColor;
					}
				}


				& .limit, & .payment {
					padding: 20px 30px;

					&.overdue {
						& .info {
							color: $red;
						}
					}
				}


				&.overdue {
					border-bottom-left-radius: 0;
					border-bottom-right-radius: 0;
					padding-bottom: 0;
					padding-left: 0;
					padding-right: 0;

					& .overdue-amount {
						background: $red;
						color: #fff;

						border-bottom-left-radius: 10px;
						border-bottom-right-radius: 10px;
						padding: 20px 30px;

						@include font(13px, null, 1.33);

						& span {
							@include font(15px, 500);
							margin-right: 10px;
						}
					}
				}
			}

			& .loan-details-table {
				width: 50%;
				display: flex;
				padding: 20px 30px;
				flex-wrap: wrap;
				@media #{$mobile} {
					width: 100%;
					padding: 10px;
					margin-top: 20px;
				}



				& .divider {
					@include size(100%, 1px);
					background: $border;
					margin: 20px 0;
				}

				& .cell {
					width: 50%;

					& .title {
						@include font(11px, 400, 1.82, 1px);
						color: $grayColor;
						text-transform: uppercase;
						white-space: nowrap;
						text-overflow: ellipsis;
						max-width: 100%;

						@media #{$mobile} {
							word-break: break-word;
							white-space: normal;
						}
					}

					& .info {
						@include font(15px, 500, 1.33);
						color: $titleColor;
					}
				}
			}
		}


	}

	&.tablet, &.mobile {

	}
}
